> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goshippo.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.goshippo.com/feedback

```json
{
  "path": "/api-reference/address-book/delete-an-address",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Delete an address

> Removes an existing address from your address book using an object ID



## OpenAPI

````yaml /api-reference/addressesapi/address_v2.yaml delete /v2/addresses/{address_id}
openapi: 3.1.0
info:
  title: Shippo Address API
  summary: The Shippo Address API
  description: >-
    Address book, Address validation, and Address parsing <br>
    [https://goshippo.com](https://goshippo.com/)
  x-logo:
    url: https://docs.goshippo.com/images/shippo-logo.svg
  contact:
    name: Shippo Support
    url: https://support.goshippo.com/hc
    email: support@shippo.zendesk.com
  version: '0.1'
servers:
  - url: https://api.goshippo.com
security: []
tags:
  - name: Address Book
    description: Store, retrieve, modify, and delete your address book contacts
  - name: Validation
    description: Check your address is valid before creating shipping labels
  - name: Parser
    description: Convert address strings into a correctly formatted address object
paths:
  /v2/addresses/{address_id}:
    delete:
      tags:
        - Address Book
      summary: Delete an address
      description: Removes an existing address from your address book using an object ID
      operationId: delete_an_address_addresses__address_id__delete
      parameters:
        - name: address_id
          in: path
          required: true
          schema:
            type: string
            title: Address Id
      responses:
        '204':
          description: Successful Response
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConcurrentWriteConflictResponse'
          description: Conflict
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
          description: Server Error
      security:
        - Shippo_Token: []
      x-codeSamples:
        - lang: cURL
          label: curl
          source: |-
            curl -i -X DELETE \
            'https://api.goshippo.com/v2/addresses/{address_id}' \
            -H 'Authorization: ShippoToken <API_TOKEN>'
components:
  schemas:
    ConcurrentWriteConflictResponse:
      properties:
        detail:
          type: string
          title: Detail
          default: Concurrent Write Conflict
          examples:
            - Concurrent Write Conflict
      type: object
      title: ConcurrentWriteConflictResponse
    InternalServerErrorResponse:
      properties:
        message:
          type: string
          title: Message
          description: The error message for an internal server error
          default: Internal Server Error
        trace_id:
          type: string
          title: Trace Id
          description: >-
            The OpenTelemetry trace identifier that is unique to the request. A
            valid trace identifier is a 16-byte array with at least one non-zero
            byte
          example: b562cab2e9200ac3e11474cc877580e1
      type: object
      required:
        - trace_id
      title: InternalServerErrorResponse
  securitySchemes:
    Shippo_Token:
      type: apiKey
      description: |

        Enter your shippo token with the ShippoToken prefix.
        <br></br>
        Example: `ShippoToken shippo_live_xxxx`
      in: header
      name: Authorization
      x-default: 'ShippoToken '

````